libstdc++: std::normal_distribution< _RealType >::param_type Struct Reference

libstdc++

std::normal_distribution< _RealType >::param_type Struct Reference

`#include <random.h>`

## Public Types
typedef normal_distribution< _RealType > | distribution_type

## Public Member Functions
| param_type (_RealType __mean, _RealType __stddev=_RealType(1))
_RealType | mean () const
_RealType | stddev () const

## Friends
bool | operator== (const param_type &__p1, const param_type &__p2)

## Detailed Description

template<typename _RealType = double>
struct std::normal_distribution< _RealType >::param_type

Parameter type.

Definition at line 2763 of file random.h.

## Member Typedef Documentation

## ◆ distribution_type

template<typename _RealType = double>

typedef normal_distribution<_RealType> std::normal_distribution< _RealType >::param_type::distribution_type

Definition at line 2765 of file random.h.

## Constructor & Destructor Documentation

## ◆ param_type() [1/2]

template<typename _RealType = double>

std::normal_distribution< _RealType >::param_type::param_type | ( |  | ) |
| inline

Definition at line 2767 of file random.h.

## ◆ param_type() [2/2]

template<typename _RealType = double>

std::normal_distribution< _RealType >::param_type::param_type | ( | _RealType | __mean,
|  | _RealType | __stddev = _RealType(1) )
| inlineexplicit

Definition at line 2770 of file random.h.

## Member Function Documentation

## ◆ mean()

template<typename _RealType = double>

_RealType std::normal_distribution< _RealType >::param_type::mean | ( |  | ) | const
| inline

Definition at line 2777 of file random.h.

## ◆ stddev()

template<typename _RealType = double>

_RealType std::normal_distribution< _RealType >::param_type::stddev | ( |  | ) | const
| inline

Definition at line 2781 of file random.h.

## Friends And Related Symbol Documentation

## ◆ operator==

template<typename _RealType = double>

bool operator== | ( | const param_type & | __p1,
|  | const param_type & | __p2 )
| friend

Definition at line 2785 of file random.h.

The documentation for this struct was generated from the following file:

- random.h